# BasicFunctor< T > Struct Template Reference

`#include <BasicFunctor.h>`

Inheritance diagram for BasicFunctor< T >:

[legend]
Collaboration diagram for BasicFunctor< T >:

[legend]
List of all members.

## Public Member Functions

| BasicFunctor (T *_pt2Object, void(T::*_fpt)())
virtual void | operator() ()

## Public Attributes

void(T::* | fpt )()
T * | pt2Object

### template<class T>
struct BasicFunctor< T >

## Constructor & Destructor Documentation

template<class T>
BasicFunctor< T >::BasicFunctor | ( | T * | _pt2Object,
|  | void(T::* | _fpt)()
| ) | `[inline]`

## Member Function Documentation

template<class T>
virtual void BasicFunctor< T >::operator() | ( |  | ) | `[inline, virtual]`

| Implements BasicFunctorBase.

## Member Data Documentation

template<class T>
void(T::* BasicFunctor< T >::fpt)()

template<class T>
T* BasicFunctor< T >::pt2Object

The documentation for this struct was generated from the following file:

- BasicFunctor.h